# Class NetworkPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
jdk.net.NetworkPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class NetworkPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Represents permission to access the extended networking capabilities defined in the jdk.net package. These permissions contain a target name, but no actions list. Callers either possess the permission or not.

Since:
  1.8
See Also:
  - `ExtendedSocketOptions`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a NetworkPermission with the given target name.
  `NetworkPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a NetworkPermission with the given target name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Checks two `BasicPermission` objects for equality.
  `String`
  `getActions()`
  Returns the canonical string representation of the actions, which currently is the empty string "", since there are no actions for a `BasicPermission`.
  `int`
  `hashCode()`
  Returns the hash code value for this object.
  `boolean`
  `implies(Permission p)`
  Checks if the specified permission is "implied" by this object.
  `PermissionCollection`
  `newPermissionCollection()`
  Returns a new `PermissionCollection` object for storing `BasicPermission` objects.

  ### Methods declared in class Permission

  `checkGuard, getName, toString`
  Modifier and Type
  Method
  Description
  `void`
  `checkGuard(Object object)`
  Implements the guard interface for a permission.
  `final String`
  `getName()`
  Returns the name of this `Permission`.
  `String`
  `toString()`
  Returns a string describing this `Permission`.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### NetworkPermission

    public NetworkPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a NetworkPermission with the given target name.
    Parameters:
      `name` - the permission target name
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.

  - ### NetworkPermission

    public NetworkPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a NetworkPermission with the given target name.
    Parameters:
      `name` - the permission target name
      `actions` - should be `null`. Is ignored if not.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.